﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ryujin
{
    /// <summary>
    /// 自キャラクタを表すクラスです。
    /// </summary>
    class Ch
    {
        /// <summary>
        ///  フラグ。
        /// </summary>
        public int flag;

        /// <summary>
        /// カウンタ。
        /// </summary>
        public int cnt;

        /// <summary>
        /// パワー。
        /// </summary>
        public int power;

        /// <summary>
        /// ポイント。
        /// </summary>
        public int point;

        /// <summary>
        /// スコア。
        /// </summary>
        public int score;

        /// <summary>
        /// 残機数。
        /// </summary>
        public int num;

        /// <summary>
        /// 無敵状態とカウント。
        /// </summary>
        public int mutekicnt;

        /// <summary>
        /// ショットモード。
        /// </summary>
        public int shot_mode;

        /// <summary>
        /// お金。
        /// </summary>
        public int money;

        /// <summary>
        /// 画像。
        /// </summary>
        public int img;

        /// <summary>
        /// スローかどうか。
        /// </summary>
        public int slow;

        /// <summary>
        /// X座標。
        /// </summary>
        public double x;

        /// <summary>
        /// Y座標。
        /// </summary>
        public double y;

        /// <summary>
        /// キャラクタ画像をループする。
        /// </summary>
        public void calc_ch()
        {
            this.cnt++;
            this.img = (this.cnt % 24) / 6;
        }

        /// <summary>
        /// 最初の初期化。
        /// </summary>
        public void first_ini()
        {
            this.x = Setting.FIELD_MAX_X / 2;
            this.y = Setting.FIELD_MAX_Y * 3 / 4;
        }
    }
}
