﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ryujin
{
    /// <summary>
    /// 設定を格納するクラスです。
    /// </summary>
    class Setting
    {
        /// <summary>
        /// フィールド X座標最大値。
        /// </summary>
        public const int FIELD_MAX_X = 384;

        /// <summary>
        /// フィールド Y座標最大値。
        /// </summary>
        public const int FIELD_MAX_Y = 448;

        /// <summary>
        /// フィールド X座標最小値。
        /// </summary>
        public const int FIELD_X = 32;

        /// <summary>
        /// フィールド Y座標最小値。
        /// </summary>
        public const int FIELD_Y = 16;
        
        /// <summary>
        /// プライベートなコンストラクタ。
        /// </summary>
        private Setting()
        {
            ; // 何もしない
        }
    }
}
