﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ryujin
{
    /// <summary>
    /// 敵の出現情報を表すクラスです。
    /// </summary>
    class EnemyOrder
    {
        /// <summary>
        /// カウンタ。
        /// </summary>
        public int cnt;

        /// <summary>
        /// パターン。
        /// </summary>
        public int pattern;

        /// <summary>
        /// 敵の種類。
        /// </summary>
        public int knd;

        /// <summary>
        /// 初期 X座標。
        /// </summary>
        public double x;

        /// <summary>
        /// 初期 Y座標。
        /// </summary>
        public double y;

        /// <summary>
        /// 移動スピード。
        /// </summary>
        public double sp;

        /// <summary>
        /// 弾幕開始時間。
        /// </summary>
        public int bltime;

        /// <summary>
        /// 弾幕の種類。
        /// </summary>
        public int blknd;

        /// <summary>
        /// 色。
        /// </summary>
        public int col;

        /// <summary>
        /// 体力。
        /// </summary>
        public int hp;

        /// <summary>
        /// 弾の種類。
        /// </summary>
        public int blknd2;

        /// <summary>
        /// 停滞時間。
        /// </summary>
        public int wait;
        
        /// <summary>
        /// アイテム(6種類)。
        /// </summary>
        public int[] item_n = new int[6];
    }
}
