﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ryujin
{
    /// <summary>
    /// 画面の明るさを表すクラスです。
    /// </summary>
    class BrightSet
    {
        /// <summary>
        /// 画面の明るさ。
        /// </summary>
        public int brt;

        /// <summary>
        /// 初期化します。
        /// </summary>
        public void initialize()
        {
            this.brt = 0;
        }
        
        /// <summary>
        /// ゲームの初期化をします。
        /// </summary>
        public void ini()
        {
            this.brt = 255;
        }
        
        /// <summary>
        /// 画面の明るさを設定します。
        /// </summary>
        /// <param name="brt">画面の明るさ</param>
        public void setBright(int brt)
        {
            this.brt = brt;
        }
    }
}
